Bug 200210 - Can't build a project that refers to sources in an inexistent directory
Can't build a project that refers to sources in an inexistent directory
Status: RESOLVED FIXED
Product: cnd
Classification: Unclassified
Component: Remote
7.0
All All
: P3 (vote)
: 7.0.1
Assigned To: Vladimir Kvashin
issues@cnd
CR_7067480, 701patch1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-18 13:00 UTC by Vladimir Kvashin
Modified: 2011-09-26 13:37 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Kvashin 2011-07-18 13:00:26 UTC
The situation came from SolStudio CR 7067480.
It concerns the following situation:
- there is a remote makefile-based project in sharing mode;
- some sources from the project tree do not exist
- IDE can not find mapping for these sources 
(for example they are from quite a different directory that is not mapped)

IDE however tries to find mapping for these sources and can't do that.
Whe building it shows path mapping dialog that does not allow pressing OK:
it demands to map this inexistent directoy, but even if I do so, it says 
"local directory <name> doesn't exist".

So such project just can not be built.
Comment 1 Vladimir Kvashin 2011-07-18 14:08:40 UTC
Fixed in cnd-main.
Now it does no ask to map inexistent directories.
http://hg.netbeans.org/cnd-main/rev/c6351a2eff17
Comment 2 Quality Engineering 2011-07-19 13:56:21 UTC
Integrated into 'main-golden'
Changeset: http://hg.netbeans.org/main-golden/rev/c6351a2eff17
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #200210 - Can't build a project that refers to sources in an inexistent directory
Comment 3 Alexander Simon 2011-08-15 10:50:41 UTC
Fix transplanted to release701_fixes on elif:
c6351a2eff17 transplanted to 6c207eb3cf64
Comment 4 Alexander Simon 2011-08-24 13:00:01 UTC
integrated in release701_fixes:
6c207eb3cf64 transplanted to 52fc05a27b80
Comment 5 Alexander Pepin 2011-08-24 13:05:46 UTC
verified in OSS IDE build
Comment 6 Quality Engineering 2011-08-25 04:25:24 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/52fc05a27b80
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #200210 - Can't build a project that refers to sources in an inexistent directory
(transplanted from 6c207eb3cf642893bfb5b7e02d3c5fe59662b3c1)
Comment 7 Alexander Pepin 2011-08-29 15:52:36 UTC
verified in 7.0.1 patch1
Comment 8 Quality Engineering 2011-09-26 13:37:46 UTC
Integrated into 'releases'
Changeset: http://hg.netbeans.org/releases/rev/6c207eb3cf64
User: Vladimir Kvashin <vkvashin@netbeans.org>
Log: fixed #200210 - Can't build a project that refers to sources in an inexistent directory


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo